<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">

<!--
IGAC proyecto SNC

@author 		javier.aponte
@description 	Pantalla que permite ingresar los datos correspondientes 
                a proyecto parqueadero para registrar 
                ofertas inmobiliarias de proyectos
                CU-SA-AC-077 Registrar Ofertas Inmobiliarias de Proyectos
                Todos los id's de los componentes terminan en P: Parqueadero
@cu 			CU-AV-O-01
@param			proyectoParqueaderoParam: Objeto de tipo OfertaInmobiliaria que almacenará los 
                valores de todo el formulario. 
@param			currentManagedBeanParam:  MB que contiene las opciones de registro de oferta 
                inmobiliaria

-->

<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:p="http://primefaces.org/ui" id="proyectoParqueaderoId"
             rendered="#{currentManagedBeanParam.banderaParqueadero}">

    <h:panelGrid columns="6" cellspacing="7"
                 columnClasses="colMediana, colPequena, colSeparador, colMediana, colPequena, colSeparador">

        <h:outputLabel value="Tipo inmueble:" for="tipoInmuebleP"
                       rendered="#{currentManagedBeanParam.banderaOfertaNueva}"
                       styleClass="outputLabelStyle" />
        <h:outputText id="tipoInmuebleP"
                      rendered="#{currentManagedBeanParam.banderaOfertaNueva}"
                      value="#{currentManagedBeanParam.selectedOfertaInmobiliaria.tipoInmueble}" />
        <p:spacer rendered="#{currentManagedBeanParam.banderaOfertaNueva}" />

        <p:spacer rendered="#{currentManagedBeanParam.banderaOfertaNueva}" />
        <p:spacer rendered="#{currentManagedBeanParam.banderaOfertaNueva}" />
        <p:spacer rendered="#{currentManagedBeanParam.banderaOfertaNueva}" />

        <h:panelGroup>
            <h:outputLabel value="Área construcción / área privada (m2):"
                           for="areaConstruccionAreaPrivadaP" styleClass="outputLabelStyle" />
            <h:outputLabel value="* " styleClass="requiredLabelStyle" />
        </h:panelGroup>
        <h:panelGrid columns="2" cellspacing="0">
            <h:inputText id="areaConstruccionAreaPrivadaP" maxlength="10"
                         label="Área Construcción / Área Privada"
                         value="#{proyectoParqueaderoParam.areaConstruccion}" required="true">
                <f:validateDoubleRange minimum="1.0" />
            </h:inputText>
            <p:message for="areaConstruccionAreaPrivadaP" display="icon" />
        </h:panelGrid>
        <p:spacer />

        <h:panelGroup
            rendered="#{!currentManagedBeanParam.banderaPropiedadHorizontal}">
            <h:outputLabel value="Área terreno (m2):" for="areaTerrenoP"
                           styleClass="outputLabelStyle" />
            <h:outputLabel value="* " styleClass="requiredLabelStyle" />
        </h:panelGroup>
        <h:panelGrid columns="2" cellspacing="0"
                     rendered="#{!currentManagedBeanParam.banderaPropiedadHorizontal}">
            <h:inputText id="areaTerrenoP" maxlength="10" label="Área Terreno"
                         value="#{proyectoParqueaderoParam.areaTerreno}" required="true">
                <f:validateDoubleRange minimum="1.0" />
            </h:inputText>
            <p:message for="areaTerrenoP" display="icon" />
        </h:panelGrid>
        <p:spacer
            rendered="#{!currentManagedBeanParam.banderaPropiedadHorizontal}" />

        <p:spacer
            rendered="#{currentManagedBeanParam.banderaPropiedadHorizontal}" />
        <p:spacer
            rendered="#{currentManagedBeanParam.banderaPropiedadHorizontal}" />
        <p:spacer
            rendered="#{currentManagedBeanParam.banderaPropiedadHorizontal}" />

        <h:outputLabel value="Área total construida (catastral) (m2):"
                       for="areaTotalConstruidaP" styleClass="outputLabelStyle"
                       rendered="#{!currentManagedBeanParam.banderaOfertaNueva}" />
        <h:outputText id="areaTotalConstruidaP" 
                      value="#{proyectoParqueaderoParam.areaTotalConstruccionCata}"
                      rendered="#{!currentManagedBeanParam.banderaOfertaNueva}" />
        <p:spacer rendered="#{!currentManagedBeanParam.banderaOfertaNueva}" />

        <h:outputLabel value="Área total terreno (catastral) (m2):"
                       for="areaTotalTerrenoP" styleClass="outputLabelStyle"
                       rendered="#{!currentManagedBeanParam.banderaOfertaNueva}" />
        <h:outputText id="areaTotalTerrenoP" 
                      value="#{proyectoParqueaderoParam.areaTotalTerrenoCatastral}"
                      rendered="#{!currentManagedBeanParam.banderaOfertaNueva}" />
        <p:spacer rendered="#{!currentManagedBeanParam.banderaOfertaNueva}" />

        <h:outputLabel value="Tamaño parqueadero:" for="tamanioParqueaderoP"
                       styleClass="outputLabelStyle" />
        <h:selectOneMenu id="tamanioParqueaderoP" label="Tamaño Parqueadero"
                         value="#{proyectoParqueaderoParam.tamanioParqueadero}">
            <f:selectItem itemLabel="Seleccionar..." />
            <f:selectItems value="#{general.ofertaTamanioParqueaderoV}" />
        </h:selectOneMenu>
        <p:spacer />

        <h:outputLabel value="Tipo parqueadero:" for="tipoParqueaderoP"
                       styleClass="outputLabelStyle" />
        <h:selectOneMenu id="tipoParqueaderoP" label="Tipo Parqueadero"
                         value="#{proyectoParqueaderoParam.tipoParqueadero}">
            <f:selectItem itemLabel="Seleccionar..." />
            <f:selectItems value="#{general.ofertaTipoParqueaderoV}" />
        </h:selectOneMenu>
        <p:spacer />

        <h:outputLabel value="Servidumbre:" for="servidumbreP"
                       styleClass="outputLabelStyle" />
        <h:selectBooleanCheckbox id="servidumbreP"
                                 value="#{currentManagedBeanParam.servidumbre}" />
        <p:spacer />

        <h:panelGroup>
            <h:outputLabel value="Valor pedido:" for="valorPedidoP"
                           styleClass="outputLabelStyle"
                           rendered="#{currentManagedBeanParam.banderaOfertaNueva}" />
            <h:outputLabel value="* " styleClass="requiredLabelStyle"
                           rendered="#{currentManagedBeanParam.banderaOfertaNueva}" />
        </h:panelGroup>
        <h:panelGrid columns="2" cellspacing="0">
            <h:inputText id="valorPedidoP" maxlength="16" label="Valor Pedido"
                         value="#{proyectoParqueaderoParam.valorPedido}"
                         rendered="#{currentManagedBeanParam.banderaOfertaNueva}"
                         required="true">
                <f:validateDoubleRange minimum="1.0" for="valorPedidoP" />
                <f:converter converterId="converterMoneda" />
                <p:ajax event="blur"
                        onstart="aplicarFormatoMoneda('proyectoParqueaderoForm:valorPedidoP',true);" />
                <p:ajax event="focus"
                        onstart="aplicarFormatoMoneda('proyectoParqueaderoForm:valorPedidoP',false);" />
            </h:inputText>
            <p:message for="valorPedidoP" display="icon"
                       rendered="#{currentManagedBeanParam.banderaOfertaNueva}" />
        </h:panelGrid>
        <p:spacer rendered="#{currentManagedBeanParam.banderaOfertaNueva}" />

        <h:outputLabel value="Valor arriendo:" for="valorArriendoP"
                       styleClass="outputLabelStyle"
                       rendered="#{currentManagedBeanParam.banderaOfertaNueva}" />
        <h:inputText id="valorArriendoP" maxlength="16" label="Valor Arriendo"
                     value="#{proyectoParqueaderoParam.valorArriendo}"
                     rendered="#{currentManagedBeanParam.banderaOfertaNueva}">
            <f:converter converterId="converterMoneda" />
            <p:ajax event="blur"
                    onstart="aplicarFormatoMoneda('proyectoParqueaderoForm:valorArriendoP',true);" />
            <p:ajax event="focus"
                    onstart="aplicarFormatoMoneda('proyectoParqueaderoForm:valorArriendoP',false);" />
        </h:inputText>
        <p:spacer rendered="#{currentManagedBeanParam.banderaOfertaNueva}" />

        <h:outputLabel value="Valor administración:"
                       for="valorAdministracionP" styleClass="outputLabelStyle"
                       rendered="#{currentManagedBeanParam.banderaOfertaNueva}" />
        <h:inputText id="valorAdministracionP" maxlength="16"
                     label="Valor Administración"
                     value="#{proyectoParqueaderoParam.valorAdministracion}"
                     rendered="#{currentManagedBeanParam.banderaOfertaNueva}">
            <f:converter converterId="converterMoneda" />
            <p:ajax event="blur"
                    onstart="aplicarFormatoMoneda('proyectoParqueaderoForm:valorAdministracionP',true);" />
            <p:ajax event="focus"
                    onstart="aplicarFormatoMoneda('proyectoParqueaderoForm:valorAdministracionP',false);" />
        </h:inputText>
        <p:spacer rendered="#{currentManagedBeanParam.banderaOfertaNueva}" />

        <p:spacer rendered="#{!currentManagedBeanParam.banderaOfertaNueva}" />

    </h:panelGrid>
</h:panelGrid>
